import { get, post } from "@/utils/requestMethod";

/**
 * 获取日志列表
 * @param {*} page 
 * @param {*} page_size 
 * @param {*} name 
 * @param {*} module 
 * @param {*} operation_type 
 * @param {*} operation_status 
 * @returns 
 */
const getLogList = (
  page,
  page_size=10,
  name="",
  module_name="",
  operation_type="",
  operation_status=""
) => {
  return get(
    `/log/log_list?page=${page}&page_size=${page_size}&name=${name}&module=${module_name}&operation_type=${operation_type}&operation_status=${operation_status}`
  );
};

export{
    getLogList 
}
